Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153578 - critical: stack integrity violation on method exit
critical: stack integrity violation on method exit
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 20:35 UTC by Tomas Hurka
Modified: 2009-02-19 22:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
message.log (52.43 KB, text/plain)
2008-11-20 20:36 UTC, Tomas Hurka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2008-11-20 20:35:01 UTC
This problem can be reproduced on this tutorial: http://www.javapassion.com/handsonlabs/nbprofilerperformance/index.html#Exercise_4
select Perfotmance.processRequest() as root method
profile ComputePrimeNumberWebapp application
calculate prime number
take snapshot

This is in log file:
*** Profiler engine warning: critical: stack integrity violation on method exit.
*** methodId on simulated stack top is unidentifiable
*** Profiler engine warning: critical: stack integrity violation on method exit.
*** methodId on simulated stack top is unidentifiable
*** Profiler engine warning: critical: stack integrity violation on method exit.
*** methodId on simulated stack top is unidentifiable
*** Profiler engine warning: critical: stack integrity violation on method exit.

*** methodId on simulated stack top is unidentifiable
Comment 1 Tomas Hurka 2008-11-20 20:36:25 UTC
Created attachment 73972 [details]
message.log
Comment 2 Tomas Hurka 2008-11-21 08:54:19 UTC
This stack integrity violation happens when Servlet methods doPost, doGet, etc. are also marked as marker method.
Comment 3 Tomas Hurka 2008-11-21 13:57:07 UTC
Fixed in profiler-main
changeset:   108179:a49a3d7fc5bb
tag:         tip
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Nov 21 10:06:04 2008 +0100
summary:     bugfix #153578, MarkedCPUCCTNode and ServletRequestCPUCCTNode can be both on the the stack, they both must be removed in methodExit() 
and methodExitUnstamped()

Comment 4 Quality Engineering 2008-11-22 04:48:33 UTC
Integrated into 'main-golden', will be available in build *200811220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a49a3d7fc5bb
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #153578, MarkedCPUCCTNode and ServletRequestCPUCCTNode can be both on the the stack, they both must be removed in methodExit() and methodExitUnstamped()
Comment 5 pgebauer 2008-11-24 09:31:24 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 6 mariadavydova 2008-11-24 15:56:51 UTC
Verified in Build 200811240201
Comment 7 pslechta 2008-11-25 13:19:18 UTC
The fix was ported into release65_fixes repository.
(It is marked as 65fixes1-candidate and it is P2.)

http://hg.netbeans.org/release65_fixes/rev/1e1a3b4cedf6
Comment 8 pgebauer 2008-11-25 13:32:34 UTC
Based on the offline discussion, the issue will be part of 65patch1.

The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/c018e2af226c


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo